Update IP Access
Update RTMP auth of Restream
curl -X POST "https://api.5centscdn.com/v2/streams/publish/1001/rtmpauth" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"policy": "N",
"password": "mypassword"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/streams/publish/1001/rtmpauth"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"policy": "N",
"password": "mypassword"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/publish/1001/rtmpauth", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"policy": "N",
"password": "mypassword"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"policy": "N",
"password": "mypassword"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/streams/publish/1001/rtmpauth", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/publish/1001/rtmpauth')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"policy": "N",
"password": "mypassword"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Stream Updated",
"stream": "null"
}
/streams/publish/{streamid}/rtmpauthTarget server for requests. Edit to use your own host.
API key (sent in header)
Stream ID
The media type of the request body
Values can be Y or N. Set to Y if RTMP auth should be enabled. Set to N if RTMP auth should be disabled.
Password required for RTMP authentication for publishing.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
Values can be Y or N. Set to Y if RTMP auth should be enabled. Set to N if RTMP auth should be disabled.
NResponses
Status of the API response.
Human-readable message describing the result.